Subject: Re: bug#26298: 26.0.50; Gnus fails to sign mail with PGP

From: Toon Claes <[email-masked]>
Date: Sat, 14 Apr 2018 08:52:18 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Noam Postavsky <[email-masked]> writes:
>
>> --- i/lisp/gnus/mml1991.el
>> +++ w/lisp/gnus/mml1991.el
>> @@ -277,6 +277,8 @@ mml1991-epg-sign
>>  	(mm-decode-content-transfer-encoding cte)))
>>      (let* ((pair (mml-secure-epg-sign 'OpenPGP 'clear))
>>  	   (signature (car pair)))
>> +      (unless (stringp signature)
>> +        (error "Signature failed"))
>>        (delete-region (point-min) (point-max))
>>        (insert
>>         (with-temp-buffer
>
> I've applied this patch to Emacs 27.1.

I've built 20c6a516ec (which contains ef2059e877), and now I'm getting
"Signature failed" whenever I'm trying to sign an email. Independent if
my passphrase was correct or not. As a matter of fact, it no longer
giving me the possibility to fill in my passphrase in the minibuffer.

So I'm getting a proper error now, but my original problem is not
resolved.

TBH I'm getting a bit lost in the maze of bugs:

- #26298: (this one)
- #30363: epa-decrypt-file not using epa-pinentry-mode
- #23619: Some epg tests fail

Anyway, the patch provided in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=23619#14 does solve my
problem. But as Noam mentioned, I am not sure "it's the right thing".

-- Toon